<?xml version="1.0"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">

	<xs:element name="Request">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="Header">
					<xs:complexType>
						<xs:all>
							<xs:element name="Method" type="xs:string" />
							<xs:element name="Token" type="xs:string" />
							<xs:element name="ReqDateTimeUTC" type="xs:string" />
							<xs:element name="ReqUserRef" type="xs:string" />
						</xs:all>
					</xs:complexType>
				</xs:element>
				<xs:element name="Data">
					<xs:complexType>
						<xs:all>
							<xs:element name="CardId" type="xs:string" minOccurs="0" maxOccurs="1" />
							<xs:element name="QR" type="xs:string" minOccurs="0" maxOccurs="1" />							
							<xs:element name="ProductName" type="xs:string" minOccurs="0" maxOccurs="1" />
						</xs:all>
					</xs:complexType>
				</xs:element>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
</xs:schema>